var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import history from './history';

export default function Link(_ref) {
  var to = _ref.to,
      props = _objectWithoutProperties(_ref, ['to']);

  return React.createElement('a', _extends({
    href: to
  }, props, {
    onClick: function onClick(e) {
      e.preventDefault();
      history.push(to);
      if (typeof props.onClick === 'function') {
        props.onClick();
      }
    }
  }));
}