'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = Link;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _history = require('./history');

var _history2 = _interopRequireDefault(_history);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function Link(_ref) {
  var to = _ref.to,
      props = _objectWithoutProperties(_ref, ['to']);

  return _react2.default.createElement('a', _extends({
    href: to
  }, props, {
    onClick: function onClick(e) {
      e.preventDefault();
      _history2.default.push(to);
      if (typeof props.onClick === 'function') {
        props.onClick();
      }
    }
  }));
}
module.exports = exports['default'];