'use strict';

exports.__esModule = true;
exports.default = difference;

var _transform = require('lodash/transform');

var _transform2 = _interopRequireDefault(_transform);

var _isEqual = require('lodash/isEqual');

var _isEqual2 = _interopRequireDefault(_isEqual);

var _isObject = require('lodash/isObject');

var _isObject2 = _interopRequireDefault(_isObject);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function difference(object, base) {
  function changes(object, base) {
    return (0, _transform2.default)(object, function (result, value, key) {
      if (!(0, _isEqual2.default)(value, base[key])) {
        result[key] = (0, _isObject2.default)(value) && (0, _isObject2.default)(base[key]) ? changes(value, base[key]) : value;
      }
    });
  }
  return changes(object, base);
}
module.exports = exports['default'];